Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156381 - odd node list behavior for failover domin when node count is high
Summary: odd node list behavior for failover domin when node count is high
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-29 15:44 UTC by Corey Marthaler
Modified: 2009-04-16 20:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-25 18:27:15 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2005-04-29 15:44:56 UTC
Description of problem:
If I define a bunch of nodes (say like 35 - 45) and then attempt to add them to
a failover domain, the drop down box shows a bunch of blank lines (depending on
the positon of the window as many as 10 - 30 of them) in the list before
actually listing the nodes. This causes all the nodes availible to not be
displayed in the list when there is actually room for them.

Version-Release number of selected component (if applicable):
-43.

Comment 1 Jim Parsons 2005-05-09 23:38:38 UTC
being researched.

Comment 2 Jim Parsons 2005-05-25 18:27:15 UTC
This is a bug in gtk.OptionMenu...but since OptionMenu is deprecated in python
2.4, it is doubtful if this will ever be fixed. Notice, though, that the pop-up
menu is usable, and if you scroll down the list and then back up, the problem
goes away. *shrug*

BTW, I have tried various API calls to fix this -- but it is bad in the bone.
unfixable.


Note You need to log in before you can comment on or make changes to this bug.